package space.rocketnine.xenia;

import android.app.Application;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;

public class App extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        Intent serviceIntent = new Intent(this, XeniaService.class);
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            startForegroundService(serviceIntent);
        } else {
            startService(serviceIntent);
        }

        Thread openBrowser = new Thread(() -> {
            try {
                Thread.sleep(1000);

                Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse("http://127.0.0.1:1967/gemini/twins.rocketnine.space/"));
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);
            } catch (Exception e) {
                e.getLocalizedMessage();
            }
        });
        openBrowser.start();
    }
}
